import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import React from 'react';

import colors from '../utils/colors';
import fontawesome from '../utils/fontawesome';

function Login() {
  return (
    <div className="container">
      <form className="form-inline">
        <div className="input-group" style={styles.inputGroup}>
          <FontAwesomeIcon
            icon={fontawesome.icons.faArrowLeft}
            size="3x"
            style={styles.arrowIcon}
          />
          <input
            style={styles.inputText}
            type="text"
            className="form-control"
            placeholder="Campo de texto"
          />
        </div>
        <FontAwesomeIcon
          icon={fontawesome.icons.faComments}
          size="3x"
          style={styles.commentIcon}
        />
      </form>
    </div>
  );
}

const styles = {
  inputText: {
    fontSize: 12,
    padding: 5,
  },
  inputGroup: {
    padding: 20,
  },
  arrowIcon: {
    color: colors.theme.headerTextIcon,
    marginRight: 10,
  },
  commentIcon: {
    color: colors.theme.light_blue,
  },
};

export default Login;
