import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import React from 'react';

import ButtonCard from '../components/ButtonCard';
import Header from '../containers/Header';
import colors from '../utils/colors';
import fontawesome from '../utils/fontawesome';

function MenuEspecialista() {
  return (
    <div style={styles.backColor}>
      <Header text="Área do Especialista" disableArrow={false} />
      <div style={styles.buttonsContainer}>
        <div style={styles.buttons}>
          <ButtonCard
            text="MATERIAIS"
            icon={fontawesome.icons.faBook}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="3em"
          />
        </div>
        <div style={styles.buttons}>
          <ButtonCard
            text="MEUS MATERIAIS"
            icon={fontawesome.icons.faBookOpenReader}
            sizeIcon="3em"
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
          />
        </div>
        <div style={styles.buttons}>
          <ButtonCard
            text="FÓRUM"
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="3em"
          />
        </div>
      </div>
    </div>
  );
}

const styles = {
  backColor: {
    flex: 1,
    background: colors.theme.background,
    minHeight: '100vh',
  },
  buttonsContainer: {
    flex: 1,
    display: 'flex',
    flexDirection: 'column' as const,
    alignItems: 'center',
    alignContent: 'center',
  },
  buttons: {
    margin: 20,
  },
};

export default MenuEspecialista;
