import { ButtonCard } from '../components';
import { Header } from '../containers';
import colors from '../utils/colors';
import fontawesome from '../utils/fontawesome';

function MenuProfessor() {
  return (
    <div style={styles.background}>
      <Header text="Área do Professor" disableArrow={false} />
      <div style={styles.buttonsContainer}>
        <div style={styles.button}>
          <ButtonCard
            text="LISTA DE ALUNOS"
            icon={fontawesome.icons.faAddressBook}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="2em"
          />
        </div>
        <div style={styles.button}>
          <ButtonCard
            text="MATERIAIS"
            icon={fontawesome.icons.faBook}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="2em"
          />
        </div>
        <div style={styles.button}>
          <ButtonCard
            text="FÓRUM"
            icon={fontawesome.icons.faComments}
            backgroundColor={colors.theme.blue}
            textSize="1.2em"
            sizeIcon="2em"
          />
        </div>
      </div>
    </div>
  );
}

const styles = {
  background: {
    background: colors.theme.background,
    minHeight: '100vh',
  },
  buttonsContainer: {
    flex: 1,
    display: 'flex',
    flexDirection: 'column' as const,
    alignItems: 'center',
    alignContent: 'center',
  },
  button: {
    margin: 20,
  },
};

export default MenuProfessor;
